import Vue from "vue";
import Vuex from "vuex";
import mutations from "./mutations";
import actions from "./actions";
import getters from "./getters";

export const state = {
  fruits: [],
  fruit: {},
  modalIsOpen: false,
  loading: true,
  deleteMode: false
};

Vue.use(Vuex);

export default new Vuex.Store({
  state,
  mutations,
  actions,
  getters
});
